function YearMonthDayCHK(year, month, day)
{
	if(month==4||month==6||month==9||month==11){
		//Day value must be from 1 to 30
		if(day>30){
			return 30;
		}
	}
	else if(month==2){
		if((year%4==0 && year%100!=0)||(year%400==0)){
			//Day value must be from 1 to 29
			if(day>29){
				return 29;
			}
		}
		else{
			//Day value must be from 1 to 28
			if(day>28){
				return 28;
			}
		}
	}
	return 0;
}

function InvalidCHK(data)
{
	var i;

	for(i=0; i<data.length; i++){
		if ((data[i].indexOf("<") != -1)
					||
				(data[i].indexOf(">") != -1)
					||
				(data[i].indexOf("&") != -1)
					||
				(data[i].indexOf("\"") != -1)
					||
				(data[i].indexOf("#") != -1)
				)
		{
			return false;
		}
	}
	return true;
}

function jstrlenCHK(str)
{
	var i;
	var len = 0;

	str = escape(str);
	for (i = 0; i < str.length; i++, len++) {
		if (str.charAt(i) == "%") {
			 if (str.charAt(++i) == "u") {
					i += 3;
					len++;
			 }
			 i++;
		}
	}
	return len;
}

function jstrlen(str)
{
	var i, cnt, len;
	var char_length = ("あ".length);
	var str2;

	len = jstrlenCHK(str);
	if(IsUnicode_escape()){	//unicode?
		cnt = 0;
		
	    for(i = 0 ; i < str.length ; i = i + char_length){
	        str2 = str.charAt(i);
			if(str2 >= "\uFF61" && str2 <= "\uFF9F") {	//half size kana?
				cnt++;
			}
		}
		len = len - cnt;	//correction
	}
	return len;
}

function IsUnicode_escape()
{
	var str;
	str = escape("あ");
	//unicode=>		str:"%u3042"
	//not unicode=>	str:"%82%A0"

	if(str.indexOf("%u") != -1){
		return 1;	//unicode
	}
	else{
		return 0;	//NOT unicode
	}
}

function InvalidCHK_Fax(data)
{
	var i;

	for(i=0; i<data.length; i++){
		if ((data[i].indexOf("<") != -1)
					||
				(data[i].indexOf(">") != -1)
					||
				(data[i].indexOf("&") != -1)
					||
				(data[i].indexOf("\"") != -1))
		{
			return false;
		}
	}
	return true;
}

function InvalidCHK_Doc(data)
{
	var i;

	for(i=0; i<data.length; i++){
		if ((data[i].indexOf("\\") != -1) ||
			(data[i].indexOf("?") != -1) ||
			(data[i].indexOf("/") != -1) ||
			(data[i].indexOf("\"") != -1) ||
			(data[i].indexOf(";") != -1) ||
			(data[i].indexOf(":") != -1) ||
			(data[i].indexOf(",") != -1) ||
			(data[i].indexOf("<") != -1) ||
			(data[i].indexOf(">") != -1) ||
			(data[i].indexOf("!") != -1) ||
			(data[i].indexOf("*") != -1) ||
			(data[i].indexOf("|") != -1) ||
			(data[i].indexOf("&") != -1) ||
			(data[i].indexOf("#") != -1))
		{
			return false;
		}
	}
	return true;
}

function InvalidCHK_Doc2(data)
{
	var i;

	for(i=0; i<data.length; i++){
		if ((data[i].indexOf("\\") != -1) ||
			(data[i].indexOf("?") != -1) ||
			(data[i].indexOf("/") != -1) ||
			(data[i].indexOf("\"") != -1) ||
			(data[i].indexOf(":") != -1) ||
			(data[i].indexOf("<") != -1) ||
			(data[i].indexOf(">") != -1) ||
			(data[i].indexOf("*") != -1) ||
			(data[i].indexOf("|") != -1))
		{
			return false;
		}
	}
	return true;
}

function InvalidCHK_Dir(data)
{
	var i;

	for(i=0; i<data.length; i++){
		if ((data[i].indexOf("?") != -1) ||
			(data[i].indexOf("\"") != -1) ||
			(data[i].indexOf(";") != -1) ||
			(data[i].indexOf(",") != -1) ||
			(data[i].indexOf("<") != -1) ||
			(data[i].indexOf(">") != -1) ||
			(data[i].indexOf("!") != -1) ||
			(data[i].indexOf("*") != -1) ||
			(data[i].indexOf("|") != -1) ||
			(data[i].indexOf("&") != -1) ||
			(data[i].indexOf("#") != -1))
		{
			return false;
		}
	}
	return true;
}

function InvalidCHK_PathDir(data)
{
	var i;

	for(i=0; i<data.length; i++){
		if ((data[i].indexOf("?") != -1) ||
			(data[i].indexOf("\"") != -1) ||
			(data[i].indexOf(";") != -1) ||
			(data[i].indexOf(",") != -1) ||
			(data[i].indexOf("<") != -1) ||
			(data[i].indexOf(">") != -1) ||
			(data[i].indexOf("*") != -1) ||
			(data[i].indexOf("|") != -1))
		{
			return false;
		}
	}
	return true;
}

function InvalidCHK_PathDir2(data)
{
	var i;

	for(i=0; i<data.length; i++){
		if ((data[i].indexOf("?") != -1) ||
			(data[i].indexOf("\"") != -1) ||
			(data[i].indexOf("<") != -1) ||
			(data[i].indexOf(">") != -1) ||
			(data[i].indexOf("*") != -1) ||
			(data[i].indexOf("|") != -1))
		{
			return false;
		}
	}
	return true;
}

function ItemColorChangePass(check, item ,name)
{
	var i;

	for(i=0; i<item.length; i++){
		if(check){
			if(item[i].type == 'text' || item[i].type == 'password'){
				item[i].value = "";
				item[i].readOnly = false;
				item[i].style.color = 'black';
			}
		}else{
			if(item[i].type == 'text' || item[i].type == 'password'){
				item[i].value = name;
				item[i].readOnly = true;
				item[i].style.color = '#c0c0c0';
			}
		}
	}
}

function NameColorChange(check, name)
{
	var i;

	for(i=0; i<name.length; i++){
		if(check){
			name[i].className = "labelNormal";
		}else{
			name[i].className = "labelGrayout";
		}
	}
}

function ItemColorChange(check, item)
{
	var i;

	for(i=0; i<item.length; i++){
		if(check){
			if(item[i].type == 'text' || item[i].type == 'password'){
				item[i].readOnly = false;
				item[i].style.color = 'black';
			}else{
				item[i].disabled = false;
			}
		}else{
			if(item[i].type == 'text' || item[i].type == 'password'){
				item[i].readOnly = true;
				item[i].style.color = '#c0c0c0';
			}else{
				item[i].disabled = true;
			}
		}
	}
}

function LabelColorChange(check, spanId)
{
	if(check)
	{
		spanId.className = "labelNormal";
	}
	else
	{
		spanId.className = "labelGrayout";
	}
}

function MM_goToURL() { //v3.0
  var i, args=MM_goToURL.arguments; document.MM_returnValue = false;
  for (i=0; i<(args.length-1); i+=2) eval(args[i]+".location='"+args[i+1]+"'");
}

function tab_change(id){
	var i;

	if (document.getElementById(id).className == "on") {
		
	} else {
		for (i=0; i<tabList.length; i++) {
			$('#'+tabList.slice(i, i+1)).removeClass('on');
			$('#'+tabList.slice(i, i+1)+'_item').removeClass('on');
		}
		$('#'+id).addClass('on');
		$('#'+id+'_item').addClass('on');
	}
}	

function singleMode(){
	var i;

	document.getElementById("tab").className = "tabInvisible";
	document.getElementById("sigleMode").className = "sModeInvisible";
	document.getElementById("tabMode").className = "sModeVisible";
	for (i=0; i<tabList.length; i++) {
		document.getElementById(tabList.slice(i, i+1)+"_item").className = "tabitemVisible";
	}
}

tabmode_flag = 0;
function tabMode(){
	var i;

	if(tabmode_flag == 0){
		$('#TabMode').css('display', 'none');
		for (i=0; i<tabList.length; i++) {
			$('#'+tabList.slice(i, i+1)+'_item').addClass('on');
		}
		tabmode_flag = 1;
	}
	else{
		$('#TabMode').css('display', 'block');
		$('#'+tabList.slice(0, 1)+'_item').removeClass('on');
		tabmode_flag = 0;
	}
}

function setBitState( str, max ){
	var data = new Array();
	start = 0;
	for(i = 0; i < max; i++){
		data[i] = 0;
	}
	for(i = 0; i < str.length; i++){
		if(str.substr(i ,1) == ','){
			val = str.substr(start ,i - start);
			data[val >> 3] = data[val >> 3] + Number(0x80 >> (val % 8));
		}
	}
	if(str.substr(i - 1 ,1) != ','){
		val = str.substr(start ,i - start);
		data[val >> 3] = data[val >> 3] + Number(0x80 >> (val % 8));
	}
	ret_val = "";
	for(i = 0; i < max; i++){
		ret_val = ret_val + Number(data[i]).toString(16);
		ret_val = ret_val + ','
	}
	
	return ret_val;
}
